Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class ScaledBitmap

[frames | no frames]

## Class ScaledBitmap

           DrawObject --+
                        |
    XYObjectMixin --+   |
                    |   |
      TextObjectMixin --+
                        |
                       ScaledBitmap

This class creates a bitmap object, placed at the coordinates, XY, of Height, H, in World coorsinates. The width is calculated from the aspect ratio of the bitmap.

the "Position" argument is a two charactor string, indicating where in relation to the coordinates the bitmap should be oriented.

The first letter is: t, c, or b, for top, center and bottom The second letter is: l, c, or r, for left, center and right The position refers to the position relative to the text itself. It defaults to "tl" (top left).

The size scales with the drawing

Method Summary
| `__init__(self, Bitmap, XY, Height, Position, InForeground)`
| `CalcBoundingBox(self)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:34 2007 | http://epydoc.sf.net